FROM alpine

ENV HUGO_ENVIRONMENT=production

WORKDIR /app
RUN apk add git hugo

RUN adduser \
    --disabled-password \
    --gecos "" \
    --uid 1000 \
    hugo

COPY . /app
RUN chown -R hugo:hugo /app

USER hugo
CMD hugo server --bind 0.0.0.0
